## Version Release v4.1.0 MC-1.20.1

## Notes
- The mod has been rebranded from TipsyLib to RunicLib! 
This change was meant to be made for v4.0.0 but fell out last second due to me being unsure for the official rebrands name/aesthetic.
- Due to some technical changes this update may break if played with mods using older versions (nothing extreme like v4.0.0 was though)
- Side Note, if you previously linked TipsyLib on a mod page, it's encouraged to update the link as the slug has been updated to runiclib

## Technical Changes
- All class prefixes have been changed from TL to RL (I apologize, no more annoying game-breaking changes like this will probably take place)
- All instances of the name "tipsylib" has been changed to "runiclib", this includes things such as the mod id, directories, file names, etc
- While I have the liberty to do so before it is too late, the mod has been organized into core and common packages 
core for the main meat and juice stuff and common for everything else
- Removed rejuvenate_chance and rejuvenate_amount attributes

## Additions
- Added AOEEffect, this effect allows the user to create an effect similar to Perception and has the following parameters;
@param effect - The AOE effect that this effect should grant
@param effectTicks - How long in ticks should the AOE effect be granted for
@param effectAmp - What amplifier of the effect should the AOE effect be granted as
@param radius - How far in blocks should the AOE effect be granted from the user of this effect
@param grantSelf - Should the AOE effect be granted to the user of this effect

## Changes
- Updated RunicLib attribute ids from `id` to `generic.id`
- PerceptionEffect is now deprecated and will be removed at a later date
- Pyromaniac now grants more health per level instead of changing the cooldown

## Fixes
- Fixed a crash that would occur when a player had the Blood Clot effect
- Fixed Blood Clot not actually doing what it was meant to do... *if you even somehow got it without crashing*
- Fixed Pyromaniac and Trail Blazing effects granting immunity to all damage types rather than only `is_fire`
- Fixed missing mob effect textures